package org.wcs.mapper.intf;

import com.baomidou.mybatisplus.extension.service.IService;
import org.wcs.model.bo.tuple.Tuple2;
import org.wcs.model.dto.serve.recordError.QueryEquipmentErrorReq;
import org.wcs.model.po.app.AppRecordErr;
import org.wcs.model.po.app.JoinRecordError;

import java.util.List;

public interface AppRecordErrService extends IService<AppRecordErr> {

    int insert(AppRecordErr record);

    Tuple2<Long, List<JoinRecordError>> queryRecordErrorDetail(QueryEquipmentErrorReq request, Integer pageSize, Integer pageIndex);
    List<JoinRecordError> queryRecordErrorDetail(QueryEquipmentErrorReq request);
    List<AppRecordErr> queryRecordErrorDetailRecentDays(int days); // 查询近几天的错误信息
}
